.homes {
  grid-column: center-start / center-end;
  margin: 15rem 0;

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-gap: 7rem;
}

.home {
  background-color: $color-grey-light-1;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-row-gap: 3.5rem;

  &__img {
    z-index: 1;
    grid-row: 1 / 2;
    grid-column: 1 / -1;
    width: 100%;
  }

  &__like {
    z-index: 2;
    grid-row: 1 / 2;
    grid-column: 2 / 3;
    justify-self: end;
    margin: 1rem;
    width: 2rem;
    height: 2rem;
    fill: $color-primary;
  }

  &__name {
    z-index: 3;
    grid-row: 1 / 2;
    grid-column: 1 / -1;
    justify-self: center;
    align-self: end;
    transform: translateY(50%);
    width: 80%;
    padding: 1.25rem;
    background-color: $color-secondary;
    font-size: 1.6rem;
    font-weight: 400;
    font-family: $font-display;
    text-align: center;
    color: #fff;
  }

  &__location,
  &__rooms {
    margin-top: 2.5rem;
  }

  &__location,
  &__rooms,
  &__area,
  &__price {
    display: flex;
    align-items: center;
    margin-left: 2rem;
    font-size: 1.5rem;

    svg {
      margin-right: 1rem;
      width: 2rem;
      height: 2rem;
      fill: $color-primary;
    }
  }

  &__btn {
    grid-column: 1 / -1;
  }
}
